Bug 1252163 - xane*.i686, sane-backends.i686 missing from x86_64 repo
xane*.i686, sane-backends.i686 missing from x86_64 repo
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: sane-backends (Show other bugs)
22
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Nils Philippsen
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-10 16:49 EDT by Leek Soup
Modified: 2016-07-19 13:27 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 13:27:57 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Leek Soup 2015-08-10 16:49:55 EDT
Description of problem:
sane-backends.i686 and xsane*.i686 packages should be available in the x86_64 repo. Currently, they are not, although sane-backends-lib.i686 and some others are available.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce on 64-bit F22 install:
1. dnf list sane-backends
2. dnf list xsane*


Actual results:
Only the 64-bit packages are listed. The 32-bit pkgs are available in the 32-bit repo, but not in the 64-bit.

http://dl.fedoraproject.org/pub/fedora/linux/releases/22/Everything/i386/os/Packages/s/ has 
[   ] sane-backends-1.0.24-13.fc22.i686.rpm                                   2015-01-21 14:23  671K 

But http://dl.fedoraproject.org/pub/fedora/linux/releases/22/Everything/x86_64/os/Packages/s/ only has .x86_64 version of this package, although it has other sane-backends .i686 packages. including
[   ] sane-backends-devel-1.0.24-13.fc22.i686.rpm                             2015-01-21 14:25   42K  
[   ] sane-backends-devel-1.0.24-13.fc22.x86_64.rpm                           2015-01-21 14:23   42K  
[   ] sane-backends-doc-1.0.24-13.fc22.noarch.rpm                             2015-01-21 14:22  278K  
[   ] sane-backends-drivers-cameras-1.0.24-13.fc22.i686.rpm                   2015-01-21 14:24   50K  
[   ] sane-backends-drivers-cameras-1.0.24-13.fc22.x86_64.rpm                 2015-01-21 14:24   50K  
[   ] sane-backends-drivers-scanners-1.0.24-13.fc22.i686.rpm                  2015-01-21 14:24  2.2M  
[   ] sane-backends-drivers-scanners-1.0.24-13.fc22.x86_64.rpm                2015-01-21 14:21  2.3M  
[   ] sane-backends-libs-1.0.24-13.fc22.i686.rpm                              2015-01-21 14:21   99K  
[   ] sane-backends-libs-1.0.24-13.fc22.x86_64.rpm                            2015-01-21 14:24   99K  


Similarly,
http://dl.fedoraproject.org/pub/fedora/linux/releases/22/Everything/i386/os/Packages/x/ contains:

[   ] xsane-0.999-17.fc22.i686.rpm                                        2015-01-06 02:35  547K  
[   ] xsane-common-0.999-17.fc22.i686.rpm                                 2015-01-03 16:34  1.2M  
[   ] xsane-gimp-0.999-17.fc22.i686.rpm                                   2015-01-06 02:30  248K  

But http://dl.fedoraproject.org/pub/fedora/linux/releases/22/Everything/x86_64/os/Packages/x/ only has the .x86_64 versions.


Expected results:
x86_64 repo should contain all the above 32-bit pkgs.


Additional info:
Thought this was a dnf problem initially. Please see Bug 1251588 for more details.

Should they be separate bugs filed for sane-backends and xsane?
Comment 1 Nils Philippsen 2015-08-11 05:20:22 EDT
(In reply to Leek Soup from comment #0)
> Description of problem:
> sane-backends.i686 and xsane*.i686 packages should be available in the
> x86_64 repo. Currently, they are not, although sane-backends-lib.i686 and
> some others are available.

No, it's quite intentional that sane-backends and xsane* are only available in 64bit versions. The sane-backends library and driver subpackages are available for 32bit as well to allow 32bit applications to use them. The sane-backends main package has files that are common to both architectures and therefore needs to exist only once on a system. XSane is an application and so only exists as a 64bit package.
Comment 2 Leek Soup 2015-08-23 00:19:38 EDT
If I understand your reason for closing, it is that provided the libraries etc are there for 32 bit, I should be able to use a 32-bit scanner driver with the 64-bit xsane and sane-backends.

But this is not the case. I removed the 32-bit xsane and sane-backends from my workstation and replaced with the 64-bit packages. My scanner worked with the 32-bit packages installed, but with 64-bit I get from xsane the "No devices available" even though I can see it with sane-find-scanner.

$ sane-find-scanner

  # sane-find-scanner will now attempt to detect your scanner. If the
  # result is different from what you expected, first make sure your
  # scanner is powered up and properly connected to your computer.

  # No SCSI scanners found. If you expected something different, make sure that
  # you have loaded a kernel SCSI driver for your SCSI adapter.

could not fetch string descriptor: Pipe error
could not fetch string descriptor: Pipe error
found USB scanner (vendor=0x1083, product=0x162c) at libusb:002:004
could not open USB device 0x18e3/0x9102 at 002:003: Access denied (insufficient permissions)

$ xsane
popup window says: no devices available

The scanner is a Canon ImageFormula P-150 and the 32-bit Linux driver is provided by Canon.

Here are the packages as they are installed now:

$ sudo dnf list sane*
Last metadata expiration check performed 3:14:53 ago on Sat Aug 22 17:58:41 2015.
Installed Packages
sane-backends.x86_64                            1.0.24-14.fc22           @System
sane-backends-libs.i686                         1.0.24-14.fc22           @System
sane-backends-libs.x86_64                       1.0.24-14.fc22           @System

$ sudo dnf list xsane*
Last metadata expiration check performed 3:14:57 ago on Sat Aug 22 17:58:41 2015.
Installed Packages
xsane.x86_64                           0.999-17.fc22                     @System
xsane-common.x86_64                    0.999-17.fc22                     @System


Is it supposed to work to run 32-bit scanner with 64-bit xsane / sane-backends, or not? If so, how, as it doesn't work for me? If not, then shouldn't the 32-bit pkgs be in the repo?

Thanks.
Comment 3 Fedora End Of Life 2016-07-19 13:27:57 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.